#!/bin/bash

if [ ! -d /usr/local/src/honeywall/demo ]; then
	mkdir -p /usr/local/src/honeywall/demo
fi

cd /usr/local/src/honeywall

if [ ! -f honeywall-custom-60.tgz ]; then
	wget http://staff.washington.edu/dittrich/misc/honeywall/honeywall-custom-60.tgz
fi

cd demo
tar -xzf ../honeywall-custom-60.tgz
make install

if [ ! -f /usr/local/src/honeywall/eeyore-0.68.iso ]; then
	echo "Download eeyore-0.68.iso into /usr/local/src/honeywall/"
	echo "http://www.honeynet.org/tools/cdrom/download.html"
	exit 1
elif [ ! -f eeyore-0.68.iso ]; then
	ln -sf ../eeyore-0.68.iso .
fi

if [ ! -f honeywall.conf.test ]; then
	wget http://staff.washington.edu/dittrich/misc/honeywall/honeywall.conf.test
fi

if [ ! -f hwpkg-aguri.tgz ]; then
	wget http://staff.washington.edu/dittrich/misc/honeywall/packages/hwpkg-aguri.tgz
fi

if [ ! -f hwpkg-tcpslice.tgz ]; then
	wget http://staff.washington.edu/dittrich/misc/honeywall/packages/hwpkg-tcpslice.tgz
fi

if [ ! -f hwpkg-logs.tgz ]; then
	wget http://staff.washington.edu/dittrich/misc/honeywall/packages/hwpkg-logs.tgz
fi

make install

make configure

make template

make enhanced

# make cdrw
