#
# Example pre-boot.sh script for honeywall CD-ROM.
#
# Dave Dittrich <dittrich@speakeasy.net>
# Wed Aug 11 15:13:06 PDT 2004

CONFDIR="/hw/conf"

#Uncomment to use SCSI device #1, or set yourself.
HwDISK=/dev/sda

if [ "$HwDISK" = "" ]; then
	HwDISK=/dev/hda
fi

# Load defaults for this Honeywall.  Priority is:
# 1).  From existing /hw/conf directory,
# 2).  From "honeywall.conf" file on floppy disk, or
# 3).  From /etc/honeywall.conf file (loaded from CD-ROM if you place
#      it there via the custom2.sh file -- see Makefile)

# Note: This file will be found by driveinit.sh and used then.
# dittrich 01/08/04
mcopy a:/honeywall.conf /tmp >/dev/null 2>&1
if [ $? -eq 0 ]; then
    echo ""
    echo "************************************************************"
    echo "         I found a honeywall.conf file on floppy."
    echo "         Leaving it in /tmp for now..."
    echo "************************************************************"
fi
echo ""
exit 0
