# Example custom startup script for honeywall CD-ROM.
# See "README.customiso" for information on how this script
# gets placed in the ISO image.  (Once there, it is run
# as the last thing at boot time.  Any /hw/conf directory
# must be mounted by the time this script is run to retain
# previous configuration settings.)
#
# Dave Dittrich <dittrich@speakeasy.net>
# Sat Dec 13 17:59:13 PST 2003

CONFDIR="/hw/conf"

echo ""
echo ""
echo "-------- honeywall custom.sh customizations ----------"
echo ""
IV=`cat /mnt/cdrom/HoneyWall.ver`
echo $V > /tmp/custom.ver
echo "Version ${IV}-${V}"
sleep 3

echo "Loading additional programs and scripts (custom2.sh)"
bash /mnt/cdrom/fs/custom2.sh
echo ""

#echo "Removing unecessary/redundant programs"
#for i in \
#	/usr/bin/nc \
#	; do
#	echo $i;  rm -f $i
#done

# Google for "hdparm disk performance tuning" for info
# on how to use this.

if [ -f "$CONFDIR/HwHDPARMOPTS" ]; then
	echo "Tuning hard drive performance"
	hdparm `cat $CONFDIR/HwHDPARMOPTS /dev/hda`
fi

echo ""
echo "---------- custom.sh customizations done -------------"
echo ""
sleep 5
exit 0
